// Fragment shader
#version 400

uniform sampler2D EarthDay;
uniform sampler2D EarthNight;
uniform vec2 brickSize;
uniform vec2 brickPercent;


in float lightIntensity;
in vec2 MCPosition;
in vec2 texCoord;
in float diff;

layout(location = 0) out vec4 fragColor;

void main()
{
	float threshold = 0.4;
	vec3 color;
	vec3 dayColor = vec3(texture2D(EarthDay, texCoord));
	vec3 nightColor = vec3(texture2D(EarthNight, texCoord));

	dayColor= dayColor*lightIntensity;
	nightColor= nightColor;
	if(diff > 1-threshold) color = vec3(dayColor);
	else if(diff < threshold) color= vec3(nightColor);
	else color= vec3(mix(nightColor, dayColor, (diff-threshold)/(1-2*threshold)));
	
	fragColor= vec4(color, 1.0);
}